package com.example.what_the_fantasy.ui.viewModels

import androidx.lifecycle.ViewModel
import com.example.what_the_fantasy.data.services.ServicesStub
import com.example.what_the_fantasy.ui.states.InfoUserState
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow
import kotlinx.coroutines.flow.update

class InfoUserViewModel : ViewModel(){
    private val services = ServicesStub() // faire repository qui gère les services Stub et API
    private val _userInfoState = MutableStateFlow(InfoUserState())
    val InfoUserState : StateFlow<InfoUserState> = _userInfoState.asStateFlow()

    fun setUsername(username : String){
        _userInfoState.update { it.copy(username=username) }

    }
}